@font-face {
  font-family: "Monitorica";
  src: url("/fonts/Monitorica-Bd.ttf") format("truetype");
  font-weight: 900;
}

:root {
  --cl-beige: rgba(255, 235, 202, 1);
  --cl-white: rgba(255, 255, 255, 1);
  --cl-black: rgba(0, 0, 0, 1);
  --cl-red: rgba(224, 49, 15, 1);
  --cl-darkred: rgba(153, 0, 42, 1);
  --cl-outofstock: rgba(140, 140, 140, 1);

  --width-ratio-one: calc(100vh / 1080);
}

* {
  font-family: "Monitorica", sans-serif;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  border: none;
}

h1 {
  font-size: calc(var(--width-ratio-one) * 90);
  color: var(--cl-darkred);
  text-transform: uppercase;
}

h3 {
  font-size: calc(var(--width-ratio-one) * 40);
  color: var(--cl-black);
  text-transform: uppercase;
}

span {
  color: var(--cl-darkred);
}

.header__div {
  display: flex;
}

.header {
  display: flex;
  gap: calc(var(--width-ratio-one) * 16);
  align-items: center;
  justify-content: center;
  margin: 0 auto;
  width: 100%;
  height: calc(var(--width-ratio-one) * 110);
  background-color: var(--cl-beige);
}

.header__dot {
  width: calc(var(--width-ratio-one) * 16);
  height: calc(var(--width-ratio-one) * 16);
  border-radius: calc(var(--width-ratio-one) * 16);
  background-color: var(--cl-darkred);
}

.footer__div {
  display: flex;
  justify-content: space-around;
  width: 100%;
}

.footer {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
  width: 100%;
  height: calc(var(--width-ratio-one) * 90);
  background-color: var(--cl-beige);
}

.products__grid {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  justify-content: flex-start;
  height: calc(var(--width-ratio-one) * 880);
  overflow-x: scroll;
  float: left;
  width: 100%;
  align-content: last baseline;
}

.column__wrapper {
  width: calc(var(--width-ratio-one) * 564);
  margin-left: calc(var(--width-ratio-one) * 57);
}

.column__wrapper:last-child {
  margin-right: calc(var(--width-ratio-one) * 57);
}

.background {
  width: 100%;
  height: calc(var(--width-ratio-one) * 880);
  background: repeating-linear-gradient(
    0deg,
    var(--cl-white),
    var(--cl-white) calc(var(--width-ratio-one) * 80),
    var(--cl-beige) calc(var(--width-ratio-one) * 80),
    var(--cl-beige) calc(var(--width-ratio-one) * 160)
  );
}

.products__grid::-webkit-scrollbar {
  display: none;
}

.products__grid {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.group {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  max-height: calc(var(--width-ratio-one) * 880);
  max-width: calc(var(--width-ratio-one) * 564);
}

.info__wrapper {
  display: grid;
  max-width: calc(var(--width-ratio-one) * 564);
  grid-template-columns:
    calc(var(--width-ratio-one) * 345) calc(var(--width-ratio-one) * 90)
    calc(var(--width-ratio-one) * 104);
  gap: calc(var(--width-ratio-one) * 12);
  align-items: center;
  justify-content: center;
  width: 100%;
  height: calc(var(--width-ratio-one) * 80);
}

.column__name {
  font-family: "Monitorica", sans-serif;
  font-weight: 900;
  display: flex;
  position: relative;
  overflow: hidden;
  color: var(--cl-white);
  background-color: var(--cl-darkred);
  padding: calc(var(--width-ratio-one) * 16);
  height: calc(var(--width-ratio-one) * 69);
  font-size: calc(var(--width-ratio-one) * 32);
}

.product {
  display: grid;
  max-width: calc(var(--width-ratio-one) * 564);
  grid-template-columns:
    calc(var(--width-ratio-one) * 345) calc(var(--width-ratio-one) * 90)
    calc(var(--width-ratio-one) * 104);
  gap: calc(var(--width-ratio-one) * 12);
  align-items: center;
  justify-content: center;
  width: 100%;
  height: calc(var(--width-ratio-one) * 80);
}

.product__name {
  font-family: "Monitorica", sans-serif;
  font-weight: 900;
  width: 100%;
  height: calc(var(--width-ratio-one) * 45);
  position: relative;
  overflow: hidden;
  color: var(--cl-black);
  font-size: calc(var(--width-ratio-one) * 38);
}

.h4 {
  display: flex;
  position: absolute;
  top: 0;
  width: max-content;
}

.h4.animate > div:first-child {
  margin-right: calc(var(--width-ratio-one) * 75);
}

.animate {
  animation: moveLeft 15s linear infinite;
}

.product__info {
  font-family: "Monitorica", sans-serif;
  font-weight: 900;
  color: var(--cl-black);
  font-size: calc(var(--width-ratio-one) * 14);
}

.product__img__wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
}

.product__img {
  height: calc(var(--width-ratio-one) * 70);
}

.img__outofstock {
  filter: grayscale(100%);
}

.column__info {
  position: relative;
  display: flex;
  gap: calc(var(--width-ratio-one) * 8);
  flex-wrap: nowrap;
  align-items: center;
}

.grow {
  flex-grow: 1;
}

.price__group {
  display: flex;
  gap: calc(var(--width-ratio-one) * 12);
  align-items: center;
  justify-content: center;
}

.column__price {
  font-family: "Monitorica", sans-serif;
  font-weight: 900;
  color: var(--cl-black);
  font-size: calc(var(--width-ratio-one) * 44);
  text-align: center;
  position: relative;
}

.column__price__outofstock {
  font-family: "Monitorica", sans-serif;
  font-weight: 900;
  color: var(--cl-black);
  font-size: calc(var(--width-ratio-one) * 32);
  text-align: center;
  position: relative;
}

.txt__outofstock {
  color: var(--cl-outofstock);
}

.stroke {
  position: absolute;
  top: 40%;
  left: 10%;
  background-color: var(--cl-red);
  width: calc(var(--width-ratio-one) * 70);
  height: calc(var(--width-ratio-one) * 4);
  transform: rotate(135deg);
}
.column__promo {
  font-weight: 900;
  font-family: "Monitorica", sans-serif;
  color: var(--cl-white);
  background-color: var(--cl-red);
  font-size: calc(var(--width-ratio-one) * 36);
  display: flex;
  align-items: center;
  justify-content: center;
  height: calc(var(--width-ratio-one) * 60);
  width: calc(var(--width-ratio-one) * 104);
}

.promo__minimised {
  color: var(--cl-white);
  background-color: var(--cl-red);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: calc(var(--width-ratio-one) * 20);
  height: calc(var(--width-ratio-one) * 60);
  width: calc(var(--width-ratio-one) * 104);
}

.poster__wrapper {
  display: "flex";
  flex-direction: "column";
  flex: 1;
  min-height: calc(var(--width-ratio-one) * 450);
  max-width: calc(var(--width-ratio-one) * 564);
  width: 100%;
  position: relative;
  margin: 0 0 0 calc(var(--width-ratio-one) * 58);
}

.poster {
  height: 100%;
  width: 100%;
  object-fit: contain;
  position: absolute;
  top: 0;
  left: 0;
}
